package com.philisense.www.service.impl;


import com.philisense.www.dao.ProDictionarysDAO;
import com.philisense.www.service.ProDictionarysService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProDictionarysServiceImpl implements ProDictionarysService {

        @Autowired
        private ProDictionarysDAO proDictionarysDAO;

        @Override
        public int deleteByPrimaryKey(String id) {
            return proDictionarysDAO.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proDictionarysDAO.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proDictionarysDAO.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proDictionarysDAO.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proDictionarysDAO.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proDictionarysDAO.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proDictionarysDAO.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proDictionarysDAO.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proDictionarysDAO.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proDictionarysDAO.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proDictionarysDAO.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proDictionarysDAO.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proDictionarysDAO.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> queryPageForTypes(Map<String, Object> map) {
            return proDictionarysDAO.queryPageForTypes(map);
        }
}